/* Auteur - La Massiot - 2005 */

#include "errors.h"

char * string_of_error(error_t e)
{
  switch(e)
  {  
    case     OK           : return "No error.";
    case     ERROR_DISK   : return "Disk error.";
    case     ERROR_SEEK   : return "Seek error.";
    case     ERROR_READ   : return "Read error.";
    case     ERROR_WRITE  : return "Write error.";
    case     ERROR_CLOSE  : return "Close error.";
    case     ERROR_MALLOC : return "Malloc error.";
    case     ERROR_CACHE_TEST                      : return "Cache error.";
    case     ERROR_NO_MORE_AVAILABLE_FILES_BLOCKS  : return "No more available file block error.";
    case     ERROR_NO_MORE_AVAILABLE_DATA_BLOCKS   : return "No more available data block error.";
    case     ERROR_FILE_NOT_ALREADY_CREATED        : return "File Creation error.";
    case     ERROR_WRITING_NOT_AUTHORISED          : return "Writing not authorised error";
    case     ERROR_READING_NOT_AUTHORISED          : return "Reading not authorised error";
    case     ERROR_FILE_FULL                       : return "File full eror";
    case     ERROR_DIRECTORY_ENTRY_TRUNCATED       : return "Directory entry truncated error";
    case     ERROR_NO_SUCH_FILENAME_IN_DIR         : return "No such file name in directory error";
    case     ERROR_NAME_TOO_LONG                   : return "Name too long error"; 
    case     ERROR_NAME_ALREADY_EXISTS_IN_DIR      : return "Name already exists in directory error"; 
    case     ERROR_TOO_MANY_LINKS_ON_THE_SAME_FILE : return "Too many links on the same file error";
    case     ERROR_NOT_A_DIR                       : return "The file is not a directory error";
    case     ERROR_TRUNCATE                        : return "Truncate file error";
    case     ERROR_NOT_AN_ABSOLUTE_PATH            : return "Not an absolute path error";
    case     ERROR_DIRECTORY_NOT_EMPTY             : return "Directory not empty error";   
    default                                        : return "Unknown error.";
  }
}
